HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTransfersTransfer

Contains the different functions to run the operation getTransfersTransfer

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetTransfersTransfer.hs
valuegetTransfersTransfer
  1. :: MonadHTTP m
  2. => GetTransfersTransferParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTransfersTransferResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/transfers/{transfer}

<p>Retrieves the details of an existing transfer. Supply the unique transfer ID from either a transfer creation request or the transfer list, and Stripe will return the corresponding transfer information.</p>

Defines the object schema located at paths./v1/transfers/{transfer}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getTransfersTransfer.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTransfersTransferResponseError is used.

Constructors

Instances2Eq, Show